# Tag

{% hint style="info" %}
**API SUBPATH**: eva-tag
{% endhint %}

## Auxiliary Methods

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/tags

> Retrieves all existing Tags registered in a given Bot.

```json
{"openapi":"3.0.1","info":{"title":"eva-tag API Documentation","version":"4.8.0"},"tags":[{"name":"tags","description":"Management for finding, creating and removing Tags and associating them via TagUses"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/tags":{"get":{"tags":["tags"],"summary":"Retrieves all existing Tags registered in a given Bot.","operationId":"findByBotUUID","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TagsDTO"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"TagsDTO":{"required":["objectRef","tagTypeId"],"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the search if present."},"name":{"type":"string","description":"Name of the tag."},"objectRef":{"type":"string","description":"The Uuid of the object associated with it. The kind of object is declared in tagTypeId"},"tagTypeId":{"type":"integer","description":"The type of object this tag shall refer to:\n1  - Intent\n2  - Entity\n3  - Answer\n4  - Flow\n5  - Unused stubs (prototype)\n6  - Service\n7  - Question\n8  - RestConnector\n9  - GenerativeService\n10 - Document\n11 - Supervisor\n12 - Agent\n13 - Function\n","format":"int64"}},"description":"Sent both as request and response, this DTO represents the Tag name and the Tag's associations with other items through TagUses. Both models are setup seamlessly on the background, for ease of use."},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/tags/recent-search

> Retrieves the tags just consulted.

```json
{"openapi":"3.0.1","info":{"title":"eva-tag API Documentation","version":"4.8.0"},"tags":[{"name":"tags","description":"Management for finding, creating and removing Tags and associating them via TagUses"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/tags/recent-search":{"get":{"tags":["tags"],"summary":"Retrieves the tags just consulted.","operationId":"recentSearch","parameters":[{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}},{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TagsDTO"}}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}},"TagsDTO":{"required":["objectRef","tagTypeId"],"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the search if present."},"name":{"type":"string","description":"Name of the tag."},"objectRef":{"type":"string","description":"The Uuid of the object associated with it. The kind of object is declared in tagTypeId"},"tagTypeId":{"type":"integer","description":"The type of object this tag shall refer to:\n1  - Intent\n2  - Entity\n3  - Answer\n4  - Flow\n5  - Unused stubs (prototype)\n6  - Service\n7  - Question\n8  - RestConnector\n9  - GenerativeService\n10 - Document\n11 - Supervisor\n12 - Agent\n13 - Function\n","format":"int64"}},"description":"Sent both as request and response, this DTO represents the Tag name and the Tag's associations with other items through TagUses. Both models are setup seamlessly on the background, for ease of use."}}}}
```

{% openapi src="/files/JtOQNGECYbEInkGBV1c8" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/tags/quicksearch" method="get" %}
[eva-tag-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FnqLmUGBNlJSnXajXUbtj%2Feva-tag-4.7.0.yaml?alt=media\&token=ec378799-1605-42bf-821d-d5b8050fad97)
{% endopenapi %}

{% openapi src="/files/JtOQNGECYbEInkGBV1c8" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/tags/add-recent" method="put" %}
[eva-tag-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FnqLmUGBNlJSnXajXUbtj%2Feva-tag-4.7.0.yaml?alt=media\&token=ec378799-1605-42bf-821d-d5b8050fad97)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conversational-ai.syntphony.com/user-guide/api-docs/api-guidelines/management-api/instance-api/tag.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
